---
name: "datasavercoin"
suites:
- "lucid"
architectures:
- "i386"
- "amd64"
packages: 
- "libdb4.8++-dev"
- "qt4-qmake"
- "libqt4-dev"
- "libboost-system-dev"
- "libboost-filesystem-dev"
- "libboost-program-options-dev"
- "libboost-thread-dev"
- "libssl-dev"
- "git-core"
- "unzip"
- "pkg-config"
- "libpng12-dev"
reference_datetime: "2011-01-30 00:00:00"
remotes:
- "url": "https://github.com/datasavercoin-project/datasavercoin.git"
  "dir": "datasavercoin"
files:
- "miniupnpc-1.9.20140401.tar.gz"
- "qrencode-3.4.3.tar.bz2"
script: |
  INSTDIR="$HOME/install"
  export LIBRARY_PATH="$INSTDIR/lib"
  # Integrity Check
  echo "d02670112125300f7a3d61421714d99105edd90190bf12542d16785f16f017aa  miniupnpc-1.9.20140401.tar.gz"   | sha256sum -c
  echo "dfd71487513c871bad485806bfd1fdb304dedc84d2b01a8fb8e0940b50597a98  qrencode-3.4.3.tar.bz2" | sha256sum -c

  #
  tar xzf miniupnpc-1.9.20140401.tar.gz
  cd miniupnpc-1.9.20140401
  INSTALLPREFIX=$INSTDIR make $MAKEOPTS install
  cd ..
  #
  tar xjf qrencode-3.4.3.tar.bz2
  cd qrencode-3.4.3
  ./configure --prefix=$INSTDIR --enable-static --disable-shared
  make $MAKEOPTS install
  cd ..
  #
  cd datasavercoin
  mkdir -p $OUTDIR/src
  git archive HEAD | tar -x -C $OUTDIR/src
  cp $OUTDIR/src/doc/README.md $OUTDIR
  cp $OUTDIR/src/COPYING $OUTDIR
  cd src
  make -f makefile.unix STATIC=1 OPENSSL_INCLUDE_PATH="$INSTDIR/include" OPENSSL_LIB_PATH="$INSTDIR/lib" $MAKEOPTS datasavercoind USE_UPNP=0 DEBUGFLAGS= USE_SSE2=1
  mkdir -p $OUTDIR/bin/$GBUILD_BITS
  install -s datasavercoind $OUTDIR/bin/$GBUILD_BITS
  cd ..
  qmake INCLUDEPATH="$INSTDIR/include" LIBS="-L$INSTDIR/lib" RELEASE=1 USE_QRCODE=1 USE_SSE2=1
  make $MAKEOPTS
  install datasavercoin-qt $OUTDIR/bin/$GBUILD_BITS
